import 'package:gmalpha_flutter/FindModel/service/local/FindLocal.dart';
import 'package:gmalpha_flutter/FindModel/service/remote/FindRemote.dart';
import 'package:gmalpha_flutter/FindModel/service/remote/entity/FindEntity.dart';
import 'package:rxdart/rxdart.dart';

class FindRepository {
  FindRemote _remote;
  FindLocal _local;

  static FindRepository _findRepository;

  FindRepository._(){
    _remote = FindRemote.getInstance();
    _local  = FindLocal.getInstance();
  }

  static FindRepository getInstance(){
    if(_findRepository == null){
      _findRepository = FindRepository._();
    }
    return _findRepository;
  }

  Observable<FindEntity> getFindPage(int page, int count){
    return _remote.getFindPage(page, count).map((value){
      if(value != null){
      }
      return value;
    });
  }
}